package com.dk.mdm.service.mac;

import com.dk.mdm.model.pojo.mac.RecPayHandleItem;
import com.dk.mdm.mapper.mac.RecPayHandleItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class RecPayHandleItemService extends BaseService<RecPayHandleItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<RecPayHandleItem> getRepository() {
		return recPayHandleItemMapper;
	}

	@Autowired
	private RecPayHandleItemMapper recPayHandleItemMapper;

}
